12
产品文档
控制台使用
基础类问题
应用类问题
网络类问题
安全类问题
常见问题
在Vscode中Go tools更新失败或无法更新的解决方法

我们都知道Go开发依赖一些工具如gocode, gofmt。有时候宗师由于网络的问题,vscode自动安装tools会失败。

网上提供了一些解决方法:到github上下载tools包,再手动安装。经测试发现依然失败。

今天通过实践,总结了一个可行的办法:

那就是找代理。先安装好Go,再到https://goproxy.cn/

这里,按照上面的步骤配置好环境变量。

然后打开Vscode,点击左下角的齿轮--> setting --> 选择Go: Use Go Proxy To Check For Tool Updates,打上勾。

VScode中按F1,找到Go: Install\Update tools,全选,确认就ok了。


这条帮助是否解决了您的问题? 已解决 未解决

提交成功!非常感谢您的反馈,我们会继续努力做到更好! 很抱歉未能解决您的疑问。我们已收到您的反馈意见,同时会及时作出反馈处理!